/// <reference types="express" />
import { ControllerRegistration } from '../models/ControllerRegistration';
import { Configuration } from './Configuration';
import { ParamHandler } from './ParamHandler';
import { RouteHandler } from './RouteHandler';
import { Router } from 'express';
export declare class DefaultRouteHandler implements RouteHandler {
    private paramHandler;
    private config;
    private routes;
    constructor(paramHandler: ParamHandler, config: Configuration);
    addRoutes(controllerRegistration: ControllerRegistration, url: string): void;
    registerRoutes(router: Router): Router;
    resetRoutes(): void;
}
