import { ParamType } from '../params/ParamDecorators';
import { ParamOptions } from '../params/ParamOptions';
/**
 * Parameter class. Contains all crucial information for the instantiation of the parameters for the runtime.
 *
 * @class
 */
export declare class ParamRegistration {
    paramType: ParamType;
    name: string;
    type: Function;
    index: number;
    options: ParamOptions;
    constructor(paramType: ParamType, name: string, type: Function, index: number, options?: ParamOptions);
}
