/**
 * Defines version information for a controller or a route. Throws if there are errors with the information.
 *
 * @class VersionInformation
 */
export declare class VersionInformation {
    from: number;
    until: number;
    static create(name: string, versionInformation: {
        from?: number;
        until?: number;
    }): VersionInformation;
    isInVersionBounds(requestedVersion: number): boolean;
    toString(): string;
    private constructor(from, until);
}
