/// <reference types="express" />
import { ParamRegistration } from '../models/ParamRegistration';
import { ParamHandler } from './ParamHandler';
import { Request, Response } from 'express';
export declare class DefaultParamHandler implements ParamHandler {
    extractParam(request: Request, param: ParamRegistration): any;
    parseParam(rawValue: any, param: ParamRegistration): any;
    getParamValuesForRequest(params: ParamRegistration[], request: Request, response: Response): any[];
    getParamsForRoute(target: any, routeKey: string): ParamRegistration[];
}
