"use strict";
var InitialConfiguration_1 = require('./InitialConfiguration');
var DefaultParamHandler_1 = require('./DefaultParamHandler');
var DefaultRegistrar_1 = require('./DefaultRegistrar');
var DefaultRouteHandler_1 = require('./DefaultRouteHandler');
var IoCSymbols_1 = require('./IoCSymbols');
var inversify_1 = require('inversify');
var kernel = new inversify_1.Kernel();
kernel.bind(IoCSymbols_1.IoCSymbols.registrar).to(DefaultRegistrar_1.DefaultRegistrar).inSingletonScope();
kernel.bind(IoCSymbols_1.IoCSymbols.paramHandler).to(DefaultParamHandler_1.DefaultParamHandler).inSingletonScope();
kernel.bind(IoCSymbols_1.IoCSymbols.routeHandler).to(DefaultRouteHandler_1.DefaultRouteHandler).inSingletonScope();
kernel.bind(IoCSymbols_1.IoCSymbols.configuration).to(InitialConfiguration_1.InitialConfiguration).inSingletonScope();
exports.IocContainer = kernel;
