/// <reference types="express-serve-static-core" />
import { RequestHandler } from 'express-serve-static-core';
/**
 * Class for the registered controllers. Contains the information about the controller that holds the routes.
 *
 * @class ControllerRegistration
 */
export declare class ControllerRegistration {
    controller: any;
    prefix: string;
    middlewares: RequestHandler[];
    constructor(controller: any, prefix?: string, middlewares?: RequestHandler[]);
}
