"use strict";
/**
 * Class for the registered controllers. Contains the information about the controller that holds the routes.
 *
 * @class ControllerRegistration
 */
var ControllerRegistration = (function () {
    function ControllerRegistration(controller, prefix, middlewares) {
        if (middlewares === void 0) { middlewares = []; }
        this.controller = controller;
        this.prefix = prefix;
        this.middlewares = middlewares;
    }
    return ControllerRegistration;
}());
exports.ControllerRegistration = ControllerRegistration;
