"use strict";
/**
 * Class for the registered routes. Contains all information for the "registerControllers" method to register the given routes.
 *
 * @class
 */
var RouteRegistration = (function () {
    function RouteRegistration(path, method, descriptor, propertyKey, middlewares) {
        if (middlewares === void 0) { middlewares = []; }
        this.path = path;
        this.method = method;
        this.descriptor = descriptor;
        this.propertyKey = propertyKey;
        this.middlewares = middlewares;
    }
    return RouteRegistration;
}());
exports.RouteRegistration = RouteRegistration;
